<bugID>1316266<Summary>Display ArrayBuffer objects like old console</Summary><Description>var ab = new ArrayBuffer(10); ab;

should show:
ArrayBuffer { byteLength: 10 }

not just:
ArrayBuffer { }

Same goes for the JSON object that should show all 3 functions (parse,stringify , toSource).</Description></bugID>